# $Revision: 1.67 $, $Date: 2009/02/23 22:38:39 $
Summary:	XDELTA - version control system
Summary(es.UTF-8):	patch y diff para archivos binarios
Summary(pl.UTF-8):	XDELTA - system kontroli wersji
Summary(pt_BR.UTF-8):	patch e diff para arquivos binários
Name:		xdelta
Version:	1.1.4
Release:	1
License:	GPL
Group:		Development/Version Control
#Source0Download: http://code.google.com/p/xdelta/downloads/list
Source0:	http://xdelta.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	1b896c01ebf0e353b7e3c3071b05f496
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-use_sys_getopt.patch
Patch2:		%{name}-am15.patch
Patch3:		%{name}-ac25x.patch
Patch4:		%{name}-am18.patch
URL:		http://www.xdelta.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel >= 1.2.0
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XDelta (X for XCF: the eXperimental Computing Facility at Berkeley) is
a library interface and binary delta generator (like a diff program
for binaries) and an RCS. These changes (deltas) are similar to the
output of the "diff" program in that they may be used to store and
transmit only the changes between files. However, unlike diff, the
output of XDelta is not expressed in a human-readable format - XDelta
can also also apply these deltas to a copy of the original file(s).
XDelta uses a fast, linear algorithm and performs well on both binary
and text files. XDelta typically outperforms GNU diff in both time and
generated-delta-size, even for plain text files. XDelta also includes
a simple implementation of the Rsync algorithm and several advanced
features for implementing RCS-like file-archival with.

The XDelta library performs its work independently of the actual
format used to encode the file and is intended to be used by various
higher-level programs such as XCF's Project Revision Control System
(PRCS). PRCS is a front end for a version control toolset. Xdelta uses
a binary file delta algorithm to replace the standard diff program
used by RCS.

%description -l es.UTF-8
xdelta es como las órdenes patch y diff, pero también funciona con
archivos binarios.

%description -l pl.UTF-8
XDelta (`X' od XCF - eXperimental Computing Facility w Berkeley) jest
biblioteką i generatorem binarnych delt (różnic podobnych do tych
tworzonych przez program diff, ale dla binariów) oraz systemem
kontroli wersji. Te zmiany (delty) są podobne do wyjścia programu diff
także w tym, że mogą być używane do przechowywania i transmisji tylko
zmian między plikami. Jednak, w przeciwieństwie do diffa, wyjście
XDelty nie jest wyrażone w postaci czytelnej dla człowieka; XDelta
może także nanieść te zmiany na kopię oryginalnego pliku (plików).
XDelta używa szybkiego, liniowego algorytmu i dobrze się sprawdza
zarówno na binarnych, jak i tekstowych plikach. Algorytm XDelta zwykle
jest wydajniejszy od GNU diffa zarówno pod względem czasu jak i
rozmiaru wygenerowanych różnic, nawet dla plików czysto tekstowych.
XDelta zawiera także przykładową implementację algorytmy Rsync i kilka
zaawansowanych możliwości do implementowania archiwizacji plików
podobnej do RCS.

Biblioteka XDelta działa dobrze niezależnie od formatu użytego przy
kodowaniu pliku i jest przeznaczona do używania w różnych
wysokopoziomowych programach takich jak system kontroli wersji z XCF
(PRCS - Project Revision Control System), będący frontendem do
zbioru narzędzi służących do kontroli wersji, w którym jest używany
algorytm binarnych różnic XDelta zamiast standardowego diffa używanego
przez RCS.

%description -l pt_BR.UTF-8
xdelta é como os comandos patch e diff, mas também funciona com
arquivos binários.

%package devel
Summary:	XDELTA - header files
Summary(pl.UTF-8):	XDELTA - pliki nagłówkowe
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento xdelta
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the XDELTA header files required to develop
XDELTA-based applications.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe potrzebne przy tworzeniu aplikacji
bazujących na XDELTA.

%description devel -l pt_BR.UTF-8
Esse pacote contém os arquivos de desenvolvimento do xdelta.

%package static
Summary:	XDELTA - static library
Summary(pl.UTF-8):	XDELTA - biblioteka statyczna
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com xdelta
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the XDELTA static libraries.

%description static -l pl.UTF-8
Pakiet ten zawiera bibliotekę statyczną XDELTA.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com xdelta.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS READ*
%attr(755,root,root) %{_bindir}/xdelta
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/xdelta-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_aclocaldir}/*
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xdelta.spec,v $
Revision 1.67  2009/02/23 22:38:39  areq
- rel 1

Revision 1.66  2007/03/31 23:05:51  qboosh
- Download URL

Revision 1.65  2007/03/15 23:25:04  sls
- removed obsolated gcc4.patch (and updated patches ac25x am15)

Revision 1.64  2007/03/15 22:23:50  qboosh
- complete URL

Revision 1.63  2007/03/15 22:08:33  sls
- ver. 1.1.4
- updated URL and Source0 URL

Revision 1.62  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.61  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.60  2005/12/29 15:04:50  adamg
- fix build on gcc4

Revision 1.59  2005/09/11 15:39:44  darekr
- strict deps

Revision 1.58  2004/10/31 12:55:14  paladine
- spaces->tabs

Revision 1.57  2003/12/27 20:49:36  qboosh
- added am18 patch (xdelta.m4 quotation fix)
- fixed pl description, release 3

Revision 1.56  2003/11/10 19:41:06  areq
- add md5

Revision 1.55  2003/05/25 06:28:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.54  2003/03/13 11:23:42  qboosh
- working Source URL, minor fixed where needed

Revision 1.53  2002/10/19 10:01:18  qboosh
- added ac25x patch, added *.la to -devel; release 2

Revision 1.52  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.51  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.50  2002/05/21 23:15:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.49  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.48  2002/02/23 05:11:00  kloczek
- adapterized.

Revision 1.47  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.46  2002/01/18 02:15:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2001/10/10 18:40:15  qboosh
- s/bierząc/bieżąc/ in pl descriptions

Revision 1.44  2001/09/25 18:33:38  kloczek
- updated to 1.1.3.

Revision 1.43  2001/09/17 12:35:32  qboosh
- removed English "es" translations

Revision 1.42  2001/09/06 16:51:01  kloczek
- release 12,
- spec adapterized,
- added info patch with xdelta info index entry fixes,
- added ac_fixes patch with remove test/Makefile from AC_OUTPUT() and
  remove all manipulation in CFLAGS (for allow non problematic pass
  $RPM_OPT_FLAGS to CFLAGS),
- added info paces to main and aclocal macros to devel,
- run fix-info-dir in %post/%postun,
- merge translations from CNV.

Revision 1.41  2001/09/06 10:51:31  filon
- added aclocal and libtoolize usage

Revision 1.40  2001/06/25 06:45:39  kloczek
- release 5,
- added using %%configure macro.

Revision 1.39  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.38  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.37  2000/06/09 07:24:14  kloczek
- added using %%{__make} macro.

Revision 1.36  2000/05/05 15:06:02  mis
- Group: synced with PLD groups

Revision 1.35  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.34  2000/03/28 16:55:15  baggins
- translated kloczkish into english

Revision 1.33  1999/11/30 19:25:32  kloczek
- release 4,
- new %description.

Revision 1.32  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.31  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May 28 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [1.1.1-2]
- based on spec from RH contrib,
- spec rewrited by PLD team,
- pl translation by Wojtek Ślusarczyk <wojtek@shadow.eu.org>.
